Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::Shakers Class Reference

PhISEM and PhOLIES class. More...

`#include <Shakers.h>`

Inheritance diagram for stk::Shakers:

List of all members.

## Public Member Functions
| Shakers (void)
| Class constructor.
| ~Shakers (void)
| Class destructor.
void | noteOn (StkFloat instrument, StkFloat amplitude)
| Start a note with the given instrument and amplitude.
void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).
void | controlChange (int number, StkFloat value)
| Perform the control change specified by number and value (0.0 - 128.0).
StkFloat | tick (unsigned int channel=0)
| Compute and return one output sample.

## Detailed Description

PhISEM and PhOLIES class.

PhISEM (Physically Informed Stochastic Event Modeling) is an algorithmic approach for simulating collisions of multiple independent sound producing objects. This class is a meta-model that can simulate a Maraca, Sekere, Cabasa, Bamboo Wind Chimes, Water Drops, Tambourine, Sleighbells, and a Guiro.

PhOLIES (Physically-Oriented Library of Imitated Environmental Sounds) is a similar approach for the synthesis of environmental sounds. This class implements simulations of breaking sticks, crunchy snow (or not), a wrench, sandpaper, and more.

Control Change Numbers:

- Shake Energy = 2
- System Decay = 4
- Number Of Objects = 11
- Resonance Frequency = 1
- Shake Energy = 128
- Instrument Selection = 1071
  - Maraca = 0
  - Cabasa = 1
  - Sekere = 2
  - Guiro = 3
  - Water Drops = 4
  - Bamboo Chimes = 5
  - Tambourine = 6
  - Sleigh Bells = 7
  - Sticks = 8
  - Crunch = 9
  - Wrench = 10
  - Sand Paper = 11
  - Coke Can = 12
  - Next Mug = 13
  - Penny + Mug = 14
  - Nickle + Mug = 15
  - Dime + Mug = 16
  - Quarter + Mug = 17
  - Franc + Mug = 18
  - Peso + Mug = 19
  - Big Rocks = 20
  - Little Rocks = 21
  - Tuned Bamboo Chimes = 22

by Perry R. Cook, 1996 - 2010.

## Member Function Documentation

void stk::Shakers::noteOn | ( | StkFloat | instrument,
|  | StkFloat | amplitude |
| ) |  |  | `[virtual]`

Start a note with the given instrument and amplitude.

Use the instrument numbers above, converted to frequency values as if MIDI note numbers, to select a particular instrument.

Implements stk::Instrmnt.

The documentation for this class was generated from the following file:

- Shakers.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.